## groovy.lang
Class MetaClassRegistryChangeEvent

    java.lang.Object
      java.util.EventObject
          groovy.lang.MetaClassRegistryChangeEvent

All Implemented Interfaces:
  Serializable

    public class MetaClassRegistryChangeEvent

extends EventObject

An event used to propagate meta class updates

Author:
  Jochen Theodorou
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)`

Method Summary
`Class` `getClassToUpdate()`
`MetaClass` `getNewMetaClass()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaClassRegistryChangeEvent

    public MetaClassRegistryChangeEvent(Object source,
                                        Class clazz,
                                        MetaClass metaClass)

Method Detail

### getClassToUpdate

    public Class getClassToUpdate()

### getNewMetaClass

    public MetaClass getNewMetaClass()

Copyright © 2003-2009 The Codehaus. All rights reserved.